
Redmine - Defect #9826

Can't add image to wiki page if filename has whitespace in Redmine 1.3

2011-12-16 11:19 - Yuriy Vidineev

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version: 1.3.0

Description

Hello!

After i update my redmine from 1.2.2 to 1.3.0 i can't add image to wiki page (with !! tag) if filename has a whitespace.

Here is an example

http://demo.redmine.org/projects/adept-project/wiki/Wiki

My redmine runs on apache_mod_passenger on Debian6 with MySQL.

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.7.2

Rack version              1.1.2

Rails version             2.3.14

Active Record version     2.3.14

Active Resource version   2.3.14

Action Mailer version     2.3.14

Active Support version    2.3.14

Application root          /var/www/redmine

Environment               development

Database adapter          mysql

Database schema version   20110511000000

About your Redmine plugins

Redmine Version Burndown Charts plugin   0.0.5

Redmine User Profiles plugin             0.0.3

Redmine Issue Control Panel plugin       0.2.0

Simple CI                                1.0

Scrumdashboard plugin                    1.2

Redmine Charts                           0.1.0

Google Calendar Plugin                   0.1.2

Redmine Graphs plugin                    0.1.0

Redmine Whining plugin                   0.0.4

Redmine Project filtering plugin         0.9

Mylyn Connector plugin                   2.7.2.stable

Redmine Time Tracker plugin              0.4

Redmine Opensearch plugin                0.1

Redmine Code Review plugin               0.4.0

Niko-niko Calendar plugin                1.0.4

Thank you!

P.S. Sorry for my English

History

#1 - 2011-12-16 12:29 - Etienne Massip

- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

#2 - 2011-12-17 13:02 - Jean-Philippe Lang

- Status changed from Confirmed to Closed
- Target version deleted (Candidate for next minor release)

- Resolution set to Wont fix

Textile does not support !! image tags with spaces. It was not support in Redmine 1.2.2 either.
